/*
Styles for the consult_training application.
*/

/**/

/*
1) Grid system to manage the position of the maps, so that it is responsive
Use of : http://www.responsivegridsystem.com/
*/

/*  SECTIONS  */
.section {
	clear: both;
	padding: 0px;
	margin: 0px;
}

/*  COLUMN SETUP  */
.col {
	display: block;
	float:left;
	margin: 1% 0 1% 1%;
}
.col:first-child { margin-left: 0; }

/*  GROUPING  */
.group:before,
.group:after { content:""; display:table; }
.group:after { clear:both;}
.group { zoom:1; /* For IE 6/7 */ }

/*  GRID OF TWO */
.span_1_of_2 {
	width: 64%;
}
.span_2_of_2 {
	width: 33%;
	/*margin-top:90px;*/
}

/*  GO FULL WIDTH AT LESS THAN 480 PIXELS */

@media only screen and (max-width: 1024px) {
	.col {
		margin: 1% 0 1% 0%;
	}
}

@media only screen and (max-width: 1024px) {
	.span_2_of_2, .span_1_of_2 { width: 100%; }
}

@media only screen and (max-width: 1024px) {
	.span_2_of_2 {
		margin-top:10px;
	}

	#training_map{
        height:600px;
    }

}

/*
2) Styles common to the home page (futur training list) and the detail page
*/

.icon_lock {
	height:15px;
	margin-bottom: 6px;
	vertical-align:middle;
}

.icons {
	height:20px;
}

#navbar2 {

	background: #BBD2E1;
	margin: -10px -15px 0px -15px;
    /*padding: 10px 0px 0px 3px;*/
	border: 1px solid #BBD2E1;
}

#navbar2 ul {
	margin:7px 0px 4px 0px;
    list-style-type: none;
	overflow: hidden;
	font-size: 14px;
    color: #2E2D04;
}

#navbar2 li {
    float: right;
	padding: 0px 16px;
	text-align: center;
	display: block;
}

#navbar2 li a:hover {
    /*color: white;*/
	color: #f7f5a1;
}

#navbar2 li {
    border-right: 1px solid white;
}

#navbar2 li:first-child {
    border-right: none;
}

/*
3) home page styles ( = futur training list page)
*/

.dataTables_wrapper {
    background: rgba(243, 246, 251, 0.7);
    padding-top: 5px;
    padding-bottom:10px;
}

.tra_title {
    min-width:300px;
}

#training_map{
   height:450px;
    border:1px solid black;
}


/*
4) Training detail page
*/

div.container {
	max-width: 1200px;
	margin: 0 auto;
}

#detail_box {
	margin: 10px 10px 10px 10px;
}

#detail_header {
	/*background: #f7f5a1;*/
    background: rgba(247, 245, 161, 0.7);
	padding: 0px 10px 10px 10px;
	margin-bottom: 0px;
	border:1px solid rgba(247, 245, 161, 0.7);
	border-radius: 5px 5px 0px 0px;
		font-weight: bold;
}

#detail_header h2 {
	margin-top: 5px;
}

#detail_content {
    background: rgba(243, 246, 251, 0.8);
	/*margin: 0px 10px 10px 10px;*/
	padding: 0px 10px 10px 10px;
	border:1px solid rgba(243, 246, 251, 0.5);
	/*without the border, the background is not complete. Css bug somewhere?*/
}

#detail_footer {
	/*background: #f7f5a1;*/
    background: rgba(243, 246, 251, 0.5);
	/*margin: 0px 10px 10px 10px;*/
	/*padding: 0px 10px 10px 10px;*/
	font-style: italic;
	padding: 10px;
	border-top: 1px solid #ddd;
}

.detail-list-inline {
	list-style-type: none;
	padding:0;
	margin:0;
	font-weight: bold;
	color:#5A5E6B;
}

.detail-list-inline li{
	display: inline;
	padding : 0 0.4em;
}

#detail_localisation {
    background: rgba(243, 246, 251, 0.5);
	/*margin: 0px 10px 10px 10px;*/
	padding: 5px 10px 0px 5px;
	margin-bottom: 10px;
	border:1px solid rgba(243, 246, 251, 0.5);
	border-radius: 4px;
	/*without the border, the background is not complete. Css bug somewhere?*/
}

#training_detail_map{
   height:350px;
    border:1px solid black;
}
